openhpi-plugin-simulator_3.6.1-3_i386.deb


Advertisement

Description

openhpi-plugin-simulator - OpenHPI plugin module for a simulator that works without hardware

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name openhpi-plugin-simulator
Package version 3.6.1
Package release 3
Package architecture i386
Package type deb
Installed size 261 B
Download size 22.95 KB
Official Mirror archive.ubuntu.com
OpenHPI is an implementation of the Service Availability Forum's Hardware
Platform Interface specification.  (See http://www.saforum.org)  As
such, OpenHPI facilitates the development of computer manageability
applications which are not tied to a single hardware vendor's products.
This package contains a plugin module that uses the simuator.

Alternatives

Package Version Architecture Repository
openhpi-plugin-simulator_3.6.1-3_amd64.deb 3.6.1 amd64 Ubuntu Universe
openhpi-plugin-simulator - - -

Requires

Name Value
libc6 >= 2.4
libglib2.0-0 >= 2.12.0
libopenhpi3 = 3.6.1-3

Conflicts

Name Value
libopenhpi -
libopenhpi2 -

Replaces

Name Value
libopenhpi -
libopenhpi2 -
libopenhpi3 << 3.6.1-3~

Download

Type URL
Binary Package openhpi-plugin-simulator_3.6.1-3_i386.deb
Source Package openhpi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install openhpi-plugin-simulator deb package:
    # sudo apt-get install openhpi-plugin-simulator

Files

Path
/usr/lib/openhpi/libsimulator.so
/usr/lib/openhpi/libsimulator.so.3
/usr/lib/openhpi/libsimulator.so.3.6.1
/usr/share/doc/openhpi-plugin-simulator/README.Debian
/usr/share/doc/openhpi-plugin-simulator/changelog.Debian.gz
/usr/share/doc/openhpi-plugin-simulator/copyright

Changelog

2017-09-12 - Mohan Devarajulu <mohan.devarajulu@hpe.com>
openhpi (3.6.1-3) unstable; urgency=medium
* Fixed SNMPFLAGS FTBFS (Closes: #870733)
* Fixed ftbfs with GCC-7 (Closes: #853590)
2017-03-18 - Andreas Beckmann <anbe@debian.org>
openhpi (3.6.1-2.2) unstable; urgency=medium
* Non-maintainer upload.
* Remove -dbgsym packages from debian/control, these are autogenerated by
dh_strip.  (Closes: #852433)
* Move the plugin .so links into the plugin packages.  (Closes: #615955)
* libopenhpi3.postrm: Drop manual ldconfig call.
2017-01-18 - Adrian Bunk <bunk@debian.org>
openhpi (3.6.1-2.1) unstable; urgency=medium
* Non-maintainer upload.
* Fix FTBFS by using OpenSSL 1.0.2. (Closes: #828468)
2016-03-25 - Bryan Sutula <bryan.sutula@hpe.com>
openhpi (3.6.1-2) unstable; urgency=medium
* Fixed bogus descriptions of -dbgsym packages (Closes: #818660)
* Fixed libopenhpi transition problems (Closes: #818841)
2016-03-15 - Bryan Sutula <bryan.sutula@hpe.com>
openhpi (3.6.1-1) unstable; urgency=medium
* Updated to upstream 3.6.1 version; differences listed at
http://openhpi.org/News
* Major changes: bug fixes, dynamic simulator plugin 
* Changes to take care of new ssl, glib etc
* Major credit for this upload to Mohan Devarajulu <mohan.devarajulu@hpe.com>
* Fixed security bug CVE-2015-3248 (Closes: #789543)
* Run dh-autoreconf to update config (Closes: #752453)
* Added systemd control file (Closes: #785287)
2014-03-08 - Eric Dorland <eric@debian.org>
openhpi (2.14.1-1.4) unstable; urgency=medium
* Non-maintainer upload.
* Drop unneeded autoconf and automake1.9 build deps. (Closes: #724425)
2013-06-01 - Sebastian Ramacher <sramacher@debian.org>
openhpi (2.14.1-1.3) unstable; urgency=low
* Non-maintainer upload.
* src/lock.c: Include glib.h instead of individual headers. Thanks to Andy
Whitcroft for the patch. (Closes: #665590)
2012-04-27 - Robert Millan <rmh@debian.org>
openhpi (2.14.1-1.2) unstable; urgency=low
* Non-maintainer upload.
* Split off Linux-specific plugins to fix FTBFS on GNU/kFreeBSD.
(Closes: #650816)
2011-07-18 - Thorsten Glaser <tg@mirbsd.de>
openhpi (2.14.1-1.1) unstable; urgency=low
* Non-maintainer upload.
* Upload openhpi (2.14.1-1ubuntu1) except debian/control changes
to Debian sid (Closes: #565105) (Closes: #555866)
* Avoid including autotools-dev copies of config.{guess,sub} in
the debian changes (*.diff.gz)
2011-01-07 - Andres Rodriguez <andreserl@ubuntu.com>
openhpi (2.14.1-1ubuntu1) natty; urgency=low
* plugins/ipmidirect/ipmi_mc_vendor.cpp: Fix FTBFS with gcc 4.5.
Taken from upstream. (LP: #687986)
* clients/Makefile.{am,in}: Add missing libraries otherwise it FTBFS.
Related to linker '--as-needed' change.

See Also

Package Description
openhpi-plugin-slave_3.6.1-3_i386.deb OpenHPI plugin module for slave plugin
openhpi-plugin-snmp-bc_3.6.1-3_i386.deb OpenHPI plugin module for IBM's BladeCenter or RSA over SNMP
openhpi-plugin-sysfs_3.6.1-3_i386.deb OpenHPI plugin module for the sysfs filesystem
openhpi-plugin-test-agent_3.6.1-3_i386.deb OpenHPI plugin module for test agent plugin
openhpi-plugin-watchdog_3.6.1-3_i386.deb OpenHPI plugin module for the Linux watchdog interface
openhpi_3.6.1-3_all.deb SAF's HPI: Abstracted interface for managing computer hardware
openigtlink-doc_1.11.0-3_all.deb Open IGT Link is a simple network protocol - documentation
openigtlink-examples_1.11.0-3_all.deb Open IGT Link is a simple network protocol - examples
openimageio-tools_1.6.17~dfsg0-1ubuntu5_i386.deb Library for reading and writing images - command line tools
openjdk-8-jre-dcevm_8u112-2_i386.deb Alternative VM for OpenJDK 8 with enhanced class redefinition
openjdk-8-jre-zero_8u144-b01-2_i386.deb Alternative JVM for OpenJDK, using Zero/Shark
openjdk-9-demo_9~b181-4_i386.deb Java runtime based on OpenJDK (demos and examples)
openjdk-9-doc_9~b181-4_all.deb OpenJDK Development Kit (JDK) documentation
openjdk-9-jdk-headless_9~b181-4_i386.deb OpenJDK Development Kit (JDK) (headless)
openjdk-9-jdk_9~b181-4_i386.deb OpenJDK Development Kit (JDK)
Advertisement
Advertisement